﻿using FluentValidation;
using PhoneBook.Models.Phones;

namespace PhoneBook.Validators.Phones
{
    public class PhoneAddModelValidator : AbstractValidator<PhoneAddOrEditModel>
    {
        public PhoneAddModelValidator()
        {
            RuleFor(x => x.PhoneNumber).NotEmpty().WithMessage("请填写电话");
        }
    }
}