using System.Collections.Generic;
using PhoneBook.Core.Domain.Phones;
using PhoneBook.Core.Domain.UserGroups;

namespace PhoneBook.Core.Domain.Contacts
{
    public class Contact:BaseEntity
    {
        public Contact()
        {
            this.ChildContacts = new List<Contact>();
            this.Phones = new List<Phone>();
            this.UserGroups = new List<UserGroup>();
        }


        public string UserName { get; set; }
        public string Memo { get; set; }
        public virtual ICollection<Contact> ChildContacts { get; set; }
        public virtual Contact ParentContact { get; set; }
        public virtual ICollection<Phone> Phones { get; set; }
        public virtual ICollection<UserGroup> UserGroups { get; set; }
    }
}
