using System.Collections.Generic;
using PhoneBook.Core.Domain.Contacts;
using PhoneBook.Core.Domain.UserGroups;

namespace PhoneBook.Service.UserGroups
{
    public interface IUserGroupService
    {
        IList<UserGroup> GetAllUserGroups();
        IList<UserGroup> GetAllUserGroupsByContact(int contactId);
        void SaveUserGroupRelations(int contactId, IEnumerable<int> userGroupsIds);
        void AddUserGroup(UserGroup userGroup);
       
    }
}