﻿using FluentValidation.Attributes;
using PhoneBook.Core.Domain.Phones;
using PhoneBook.Validators.Phones;

namespace PhoneBook.Models.Phones
{
    
    [Validator(typeof(PhoneAddModelValidator))]
    public class PhoneAddOrEditModel
    {
        public int Id { get; set; }

        public int ContactId { get; set; }

        public string PhoneNumber { get; set; }

        public string SelectedPhoneType { get; set; } 
    }
}