﻿using FluentValidation;
using PhoneBook.Models.Contacts;

namespace PhoneBook.Validators.Contacts
{
    public class ContactAddOrEditModelValidator : AbstractValidator<ContactAddOrEditModel>
    {

        public ContactAddOrEditModelValidator()
        {
            RuleFor(x => x.UserName).NotEmpty().WithMessage("请填写联系人姓名");
        }
    }
}